%% Load Data
n.datapt=18;
Data=zeros(18,3);
Lab =cell(18,1);
ix.hazdata=[1:12 14:16 18];
ix.nodata=setdiff(1:18,ix.hazdata);
Data(ix.nodata,:)=NaN;
Data(ix.hazdata,3)=[0.4733096 0.3888889 0.2797203 0.3247863 0.2203390 0.1960784 0.1224490 0.2333333 0.1250000 0.0000000 0.0000000 0.0000000 0.3333333 0.0000000 0.0000000 0.0];
Data(ix.hazdata,2)=[148  11 103  79  92  82  43  23  28   9   8   3   2   1   1   1];
Data(ix.hazdata,1)=[133   7  40  38  26  20   6   7   4   0   0   0   1   0   0   0];
Lab{1}='NA';
for cnd=1:17
    Lab{cnd+1}=num2str(cnd);
end

%% Determine UB & LB

Bounds=zeros(18,2);
Bpdf=[normcdf(-1,0,1) normcdf(1,0,1)]; % SE bars
for ind=1:n.datapt
    for bnd=1:2
        ptsum=sum(Data(ind,1:2));
        if ~isnan(ptsum)
            if Data(ind,3)
                Bounds(ind,bnd)=binoinv(Bpdf(bnd),ptsum,Data(ind,3))/ptsum;
            else
                Bounds(ind,bnd)=binoinv(Bpdf(bnd),ptsum,1/2/ptsum)/ptsum;
            end
        else
            Bounds(ind,bnd)=NaN;
        end
    end
end

%% Plot it

figure;
bar1=bar(Data(:,3),'BarWidth',1);
set(gca,'fontsize',18);
set(gcf,'color','white');
set(gca,'ylim',[0 0.6],'ytick',0:.1:0.6,'yticklabel',{'0%','10%','20%','30%','40%','50%','60%'});
ylabel('Percent PNES vs MRE');
xlabel('Number of Failed & Discontinued ASMs');
set(bar1(1),'FaceColor',[0.70 0.70 0.7]);
set(gca,'xtick',[1 2:5:17],'xlim',[0 18.5],'xticklabel',{'NA','0','5','10','15'});
hold on
for ind=1:n.datapt
    if ~isnan(Bounds(ind,1))
        eb1=errorbar(ind,Data(ind,3),Data(ind,3)-Bounds(ind,1),Data(ind,3)-Bounds(ind,2));
        set(eb1(1),'color','black','LineWidth',3);
        removeErrorBarEnds(eb1);
    end
end
hold off

